.step-nav {
    position: sticky;
    top: 0;
    z-index: 1000;
    display: flex;
    justify-content: center;
    background: rgb(255 255 255 / 90%);
    backdrop-filter: blur(5px);
    padding: 10px;
    border-bottom: 1px solid #eee;
}

.nav-item {
    text-decoration: none;
    color: #ccc;
    font-size: 24px;
    padding: 0 15px;
    transition: color 0.3s;
}

.nav-item.active {
    color: #3498db;
}

.settings-select {
    left: 20px;
    padding: 5px 10px;
    border-radius: 5px;
    border: 1px solid #ccc;
    background: white;
    cursor: pointer;
    font-family: inherit;
}

.settings-select.in-toolbar {
    position: absolute;
}

.text-center {
    display: block;
    width: 100%;
    text-align: center;
}

.bubble-buttons {
    margin-top: 20px;
    margin-bottom: 20px;
    display: block;
    width: 100%;
    text-align: center;
}

#speech-bubble::after {
    content: '';
    position: absolute;
    bottom: -19px;
    left: 66px;
    border-width: 20px 20px 0 0;
    border-style: solid;
    border-color: #fff transparent transparent;
}

#speech-bubble::before {
    content: '';
    position: absolute;
    bottom: -22px;
    left: 65px;
    border-width: 21px 21px 0 0;
    border-style: solid;
    border-color: #333 transparent transparent;
}

#narrator-container {
    position: fixed;
    bottom: 10px;
    z-index: 999;
    pointer-events: none;
    left: 1vw; 
}

@media (width >= 601px) {
    #narrator-container {
        left: 30vw;
    }
}

#narrator-wrapper {
    position: relative;
    width: 120px;
    height: 130px;
    z-index: 1000;
    pointer-events: all;
    cursor: pointer;
}

#speech-bubble {
    position: absolute;
    bottom: 110%;
    left: 20px;
    min-width: 300px;
    max-width: 450px;
    background: #fff;
    border: 2px solid #333;
    border-radius: 15px;
    padding: 15px;
    pointer-events: all;
    cursor: pointer;
    transition: opacity 0.3s ease-in-out, transform 0.3s ease-out;
}

#narrator-svg {
    width: 100%;
    height: auto;
    display: block;
}

.animation-eyebrow {
    /* --rot-angle should differ per eyebrow */
    transform: translateY(var(--move-y, 0)) rotate(var(--rot-angle, 0deg));
    transition: transform 0.2s ease;
    transform-box: fill-box;
    transform-origin: center;
}

#emotion-left-eyebrow { --rot-dir: 1; }
#emotion-right-eyebrow { --rot-dir: -1; }

/* When applying this class the variables are getting the right values */
.eyebrow-frown {
    --move-y: 3px;
    --rot-angle: calc(-10deg * var(--rot-dir));
}

.eyebrow-sad {
    --move-y: 3px;
    --rot-angle: calc(10deg * var(--rot-dir));
}

.eyebrow-raised {
    transform: translateY(-5px);
}

.eyebrow-serious {
    transform: translateY(3px);
}

.course-icon {
    width: 1.2rem;
    vertical-align: middle;
    padding-inline: 10px;
}
